#ifndef RENDER_IMPORTER_H
#define RENDER_IMPORTER_H

#include <render_type_def.h>
#include <filesystem>

class Importer {
public:
    bool ImportFromFile(const std::filesystem::path &path, Z::Model **out) const;
    void ReleaseLoadedModel(const Z::Model* model) const;
};



#endif //RENDER_IMPORTER_H
